#!/bin/bash

# bash for loop
echo "model-checking Pastry properties ..."
for f in $( ls ./mc/MC-*.cfg ); do
	echo "model-checking $f  ..."
	java -cp ../../ tlc2.TLC  MCMSPastry -cleanup -difftrace -config $f &>log/$f-1w.log
	echo "model-checking $f  with 2 workers..."
    java -cp ../../ tlc2.TLC  MCMSPastry -cleanup -difftrace -workers 2 -config $f &>log/$f-2w.log
done 


# echo "model-checking liveness properties ..."
# for f in $( ls ./Suc*.cfg ); do
    # echo "model-checking $f ..."
    # java -cp ../../ tlc2.TLC  MCMSPastry -cleanup -difftrace -workers 2 -config $f &>log/$f-log.txt
# done 
# echo "model-checking system properties ..."
# for f in $( ls ./SP-*.cfg ); do
    # echo "model-checking $f ..."
    # java -cp ../../ tlc2.TLC  MCMSPastry -cleanup -difftrace -workers 2 -config $f &>log/$f-log.txt
# done 
#java -cp ../../ tlc2.TLC  MCMSPastry -cleanup -difftrace -workers 2 -config SuccessfulConjoin.cfg &>log/SuccessConJoin2w.txt ;
#java -cp ../../ tlc2.TLC  MCMSPastry -cleanup -difftrace -workers 2 -config SuccessfulConjoin.cfg &>log/SuccessConJoin2w.txt ;
